
param(
    [Parameter(Mandatory=$true)]
    [string]$group_name_lehrer,
    [Parameter(Mandatory=$true)]
    [string]$group_name_schueler
)


Install-Module -Name AzureAD

Connect-AzureAD
$licence_schueler = "STANDARDWOFFPACK_STUDENT"
$licence_lehrer = "STANDARDWOFFPACK_FACULTY"


#hole alle User in der Gruppe $group_name_schueler
$schueler_list = get-azureadgroup -SearchString $group_name_schueler | Get-AzureADGroupMember 

#hole alle User in der Gruppe $group_name_lehrer
$lehrer_list = get-azureadgroup -SearchString $group_name_lehrer | Get-AzureADGroupMember 

foreach($schueler in $schueler_list){

    $License = New-Object -TypeName Microsoft.Open.AzureAD.Model.AssignedLicense
    $License.SkuId = (Get-AzureADSubscribedSku | Where-Object -Property SkuPartNumber -Value $licence_schueler -EQ).SkuID
    $LicensesToAssign = New-Object -TypeName Microsoft.Open.AzureAD.Model.AssignedLicenses
    $LicensesToAssign.AddLicenses = $License

    Set-AzureADUserLicense -ObjectId $schueler.UserPrincipalName -AssignedLicenses $LicensesToAssign
   
}
foreach($lehrer in $lehrer_list){

    $License = New-Object -TypeName Microsoft.Open.AzureAD.Model.AssignedLicense
    $License.SkuId = (Get-AzureADSubscribedSku | Where-Object -Property SkuPartNumber -Value $licence_lehrer -EQ).SkuID
    $LicensesToAssign = New-Object -TypeName Microsoft.Open.AzureAD.Model.AssignedLicenses
    $LicensesToAssign.AddLicenses = $License
    Set-AzureADUserLicense -ObjectId $lehrer.UserPrincipalName -AssignedLicenses $LicensesToAssign
   
}