param(
    [Parameter(Mandatory=$true)]
    [string]$modus
)    

if($modus -eq 1){
    $policy_package_schueler = Read-Host -Prompt "Richtilinienpaket Schueler"
    $policy_package_lehrer = Read-Host -Prompt "Richtilinienpaket Lehrer"
} else{
    $policy_name_schueler_meeting = Read-Host -Prompt "Besprechungsrichtlinie Schueler"
    $policy_name_schueler_messaging= Read-Host -Prompt "Nachrichtenrichtlinie Schueler"
    $policy_name_schueler_channels= Read-Host -Prompt "Teamsrichtlinie Schueler"
    $policy_name_schueler_broadcast= Read-Host -Prompt "Livemeetingrichtlinie Schueler"
    $policy_name_lehrer_meeting = Read-Host -Prompt "Besprechungsrichtlinie Lehrer"
    $policy_name_lehrer_messaging= Read-Host -Prompt "Nachrichtenrichtlinie Lehrer"
    $policy_name_lehrer_channels= Read-Host -Prompt "Teamsrichtlinie Lehrer"
    $policy_name_lehrer_broadcast= Read-Host -Prompt "Livemeetingrichtlinie Lehrer"
}

    $group_name_schueler= Read-Host -Prompt "Gruppenname Schuler: "
    $group_name_lehrer= Read-Host -Prompt "Gruppenname Lehrer: "

    Install-module -name MicrosoftTeams

    $userCredential = Get-Credential
    Connect-AzureAD -Credential $userCredential
    Connect-MicrosoftTeams -Credential $userCredential

    Import-Module SkypeOnlineConnector
    $sfbSession = New-CsOnlineSession -Credential $userCredential
    Import-PSSession $sfbSession

    #hole alle User in der Gruppe $group_name_schueler
    $schueler_list = get-azureadgroup -SearchString $group_name_schueler | Get-AzureADGroupMember 

    #hole alle User in der Gruppe $group_name_lehrer
    $lehrer_list = get-azureadgroup -SearchString $group_name_lehrer | Get-AzureADGroupMember 
    
    foreach($schueler in $schueler_list){

        if($modus -eq 2){
            Grant-CsTeamsChannelsPolicyGrant -identity $schueler.UserPrincipalName -PolicyName $policy_name_schueler_channels
            Grant-CsTeamsMeetingBroadcastPolicy -identity $schueler.UserPrincipalName -PolicyName $policy_name_schueler_broadcast
            Grant-CsTeamsMeetingPolicy -identity $schueler.UserPrincipalName -PolicyName $policy_name_schueler_meeting
            Grant-CsTeamsMessagingPolicy -identity $schueler.UserPrincipalName -PolicyName $policy_name_schueler_messaging
        } else{
            Grant-CsUserPolicyPackage -Identity $schueler.UserPrincipalName -PackageName $policy_package_schueler
        }
    }
    foreach($lehrer in $lehrer_list){

        if($modus -eq 2){
        
            Grant-CsTeamsChannelsPolicyGrant -identity $lehrer.UserPrincipalName -PolicyName $policy_name_lehrer_channels
            Grant-CsTeamsMeetingBroadcastPolicy -identity $lehrer.UserPrincipalName -PolicyName $policy_name_lehrer_broadcast
            Grant-CsTeamsMeetingPolicy -identity $lehrer.UserPrincipalName -PolicyName $policy_name_lehrer_meeting
            Grant-CsTeamsMessagingPolicy -identity $lehrer.UserPrincipalName -PolicyName $policy_name_lehrer_messaging
        } else{
            Grant-CsUserPolicyPackage -Identity $lehrer.UserPrincipalName -PackageName $policy_package_lehrer
        }    
    }